source: orange/install-scripts/mac/dailyrun-finkonly-withsource.sh @ 8096:d420b5057e4b

Revision 8096:d420b5057e4b, 2.3 KB checked in by mitar, 3 years ago (diff)

Made daily building logging more verbose.

  • Property exe set to *
Line 
1#!/bin/bash
2#
3# Should be run as: sudo ./dailyrun-finkonly-withsource.sh
4#
5
6test -r /sw/bin/init.sh && . /sw/bin/init.sh
7
8STABLE_REVISION_1=`svn info --non-interactive http://orange.biolab.si/svn/orange/branches/ver1.0/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`
9# svn info does not return proper exit status on an error so we check it this way
10[ "$STABLE_REVISION_1" ] || exit 1
11STABLE_REVISION_2=`svn info --non-interactive http://orange.biolab.si/svn/orange/externals/branches/ver1.0/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`
12# svn info does not return proper exit status on an error so we check it this way
13[ "$STABLE_REVISION_2" ] || exit 1
14
15if [[ $STABLE_REVISION_1 -gt $STABLE_REVISION_2 ]]; then
16    STABLE_REVISION=$STABLE_REVISION_1
17else
18    STABLE_REVISION=$STABLE_REVISION_2
19fi
20
21DAILY_REVISION_1=`svn info --non-interactive http://orange.biolab.si/svn/orange/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`
22# svn info does not return proper exit status on an error so we check it this way
23[ "$DAILY_REVISION_1" ] || exit 1
24DAILY_REVISION_2=`svn info --non-interactive http://orange.biolab.si/svn/orange/externals/trunk/ | grep 'Last Changed Rev:' | cut -d ' ' -f 4`
25# svn info does not return proper exit status on an error so we check it this way
26[ "$DAILY_REVISION_2" ] || exit 1
27
28if [[ $DAILY_REVISION_1 -gt $DAILY_REVISION_2 ]]; then
29    DAILY_REVISION=$DAILY_REVISION_1
30else
31    DAILY_REVISION=$DAILY_REVISION_2
32fi
33
34MAC_VERSION=`sw_vers -productVersion | cut -d '.' -f 2`
35ARCH=`perl -MFink::FinkVersion -e 'print Fink::FinkVersion::get_arch'`
36
37defaults write com.apple.desktopservices DSDontWriteNetworkStores true
38
39/Users/ailabc/mount-dirs.sh || { echo "Mounting failed." ; exit 1 ; }
40
41/Users/ailabc/fink-daily-build.sh $STABLE_REVISION $DAILY_REVISION &> /private/tmp/fink-daily-build.log
42EXIT_VALUE=$?
43
44/Users/ailabc/mount-dirs.sh || { echo "Mounting failed." ; exit 1 ; }
45
46echo "Orange (fink $MAC_VERSION $ARCH) [$EXIT_VALUE]" > "/Volumes/download/buildLogs/osx/fink-$MAC_VERSION-$ARCH-daily-build.log"
47date >> "/Volumes/download/buildLogs/osx/fink-$MAC_VERSION-$ARCH-daily-build.log"
48cat /private/tmp/fink-daily-build.log >> "/Volumes/download/buildLogs/osx/fink-$MAC_VERSION-$ARCH-daily-build.log"
49(($EXIT_VALUE)) && echo "Running fink-daily-build.sh failed"
50
51# Zero exit value
52true
Note: See TracBrowser for help on using the repository browser.